<template>
    <div
        v-show="active"
        class="table-responsive"
        :class="{'no-head': accordion}"
    >
        <table class="table-hover">
            <thead
                class="table-header"
            >
                <tr>
                    <th
                        class="reminders-text"
                        style="width: 65%"
                    >
                        Country
                    </th>
                    <th style="width: 25%">
                        SMS price
                    </th>
                    <th style="width: 10%">
                        Send SMS?
                    </th>
                </tr>
            </thead>
            <tbody
                v-if="items && items.length"
                class="table-body"
            >
                <tr
                    v-for="(country, index) in items"
                    :key="index"
                    class="table-body-row"
                >
                    <th
                        class="country-text"
                    >
                        <img
                            :src="'/images/flags/' + country.iso + '.png'"
                            :alt="country.iso"
                            class="flag"
                        >
                        {{ country.country }}
                    </th>
                    <th>
                        {{ country.price }}
                    </th>
                    <th>
                        <PrettyCheck
                            v-model="country.status"
                            class="p-svg"
                            @change="save"
                        >
                            <svg
                                style="width:17px;height:17px"
                                viewBox="0 0 24 24"
                                class="svg svg-icon"
                            >
                                <path
                                    fill="#4786FF"
                                    d="M9,20.42L2.79,14.21L5.62,11.38L9,14.77L18.88,4.88L21.71,7.71L9,20.42Z"
                                />
                            </svg>
                        </PrettyCheck>
                    </th>
                </tr>
            </tbody>
        </table>
        <div class="text-center" v-if="items && !items.length">No matches found</div>
    </div>
</template>


<script>
import countries from '@/mixins/sms/countries.service';
import PrettyCheck from 'pretty-checkbox-vue/check'

export default {
    components: {
        PrettyCheck
    },
    mixins: [countries],
    props: {
        accordion: {
            type: Boolean,
            default: false,
        },
        active: Boolean,
        propsCountries: null,
    },
    data() {
        return {
            countries: null,
        }
    },
    created() {
        this.getCountries()
    },
    computed: {
        items() {
                return this.propsCountries || this.countries
        },
    },
    methods: {
        save() {
            this.$emit('input', this.items)
        },
        getCountries() {
            if(!this.propsCountries) {
                this.getAllCountries().then((response) => {
                    this.countries = response.data
                    this.save()
                }).catch(error => {
                    console.log(error)
                })
            } 
        },
    }
}
</script>

<style lang="scss" scoped>
@import '../../../css/elements/countries.scss';
.no-head {
    overflow: hidden;
}
</style>
